import React from 'react';
import { Box, Container, Typography } from "@mui/material";
import { DangerousButton } from "../components/vanilla/DangerousButton";
import { DangerousTypography } from "../components/vanilla/DangerousTypography";
import { useRouter } from "next/router";
// TODO: Import the necessary dependencies
// TODO: Import the blue and green buttons

export default function Home() {
  const router = useRouter();
  // TODO: Fetch the flags from Flagsmith

  const goToTasks = () => router.push('/tasks');

  return (
    <Container maxWidth="sm">
      <Box sx={{ my: 4 }}>
        {/* TODO: Add inline styling */}
        <Typography variant="h4" component="h1">
          Welcome to the Next.js lab!
        </Typography>
        <DangerousTypography variant="p" component="p">
          Click on the button to access the tasks
        </DangerousTypography>
        <br/>
        {/* TODO: Conditionally display various buttons */}
        <DangerousButton onClick={goToTasks}>See Tasks</DangerousButton>
      </Box>
    </Container>
  );
}
