import React from 'react';
import { Box, Container, Typography } from "@mui/material";
import dynamic from "next/dynamic";

const DynamicTasksList = dynamic(() => import('../../components/TasksList'), {
  ssr: false,
});

export default function Tasks() {
  return (
    <Container maxWidth="sm">
      <Box sx={{ my: 4 }}>
        <Typography variant="h5" component="h1">
          Here are your tasks:
        </Typography>
        <DynamicTasksList/>
      </Box>
    </Container>
  );
}
